# Generated by rust2rpm 24
%bcond_without check

%global crate raw-cpuid

Name:           rust-%{crate}10
Version:        10.7.0
Release:        %autorelease
Summary:        Library to parse the x86 CPUID instruction, written in rust with no external dependencies

License:        MIT
URL:            https://crates.io/crates/raw-cpuid
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21
BuildRequires:  rust-bitflags1+default-devel
BuildRequires:  rust-clap3+default-devel
BuildRequires:  rust-clap3+derive-devel
BuildRequires:  rust-core_affinity+default-devel >= 0.5.10, rust-core_affinity+default-devel < 0.6.0
BuildRequires:  rust-libc-devel >= 0.2.0, rust-libc-devel < 0.3.0
BuildRequires:  rust-phf+default-devel >= 0.11.0, rust-phf+default-devel < 0.12.0
BuildRequires:  rust-phf+macros-devel >= 0.11.0, rust-phf+macros-devel < 0.12.0
BuildRequires:  rust-rustversion+default-devel >= 1.0.0, rust-rustversion+default-devel < 2.0.0
BuildRequires:  rust-serde-devel >= 1.0.0, rust-serde-devel < 2.0.0
BuildRequires:  rust-serde_derive+default-devel >= 1.0.0, rust-serde_derive+default-devel < 2.0.0
BuildRequires:  rust-serde_json+default-devel >= 1.0.0, rust-serde_json+default-devel < 2.0.0
BuildRequires:  rust-termimad+default-devel >= 0.20.0, rust-termimad+default-devel < 0.21.0

%global _description %{expand:
A library to parse the x86 CPUID instruction, written in rust with no
external dependencies. The implementation closely resembles the Intel
CPUID manual description. The library does only depend on libcore.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.md
%doc AUTHORS
%doc CHANGELOG.md
%doc README.md
%{_bindir}/cpuid

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/AUTHORS
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cli-devel %{_description}

This package contains library source intended for building other packages which
use the "cli" feature of the "%{crate}" crate.

%files       -n %{name}+cli-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+display-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+display-devel %{_description}

This package contains library source intended for building other packages which
use the "display" feature of the "%{crate}" crate.

%files       -n %{name}+display-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_derive" feature of the "%{crate}" crate.

%files       -n %{name}+serde_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serialize-devel %{_description}

This package contains library source intended for building other packages which
use the "serialize" feature of the "%{crate}" crate.

%files       -n %{name}+serialize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termimad-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termimad-devel %{_description}

This package contains library source intended for building other packages which
use the "termimad" feature of the "%{crate}" crate.

%files       -n %{name}+termimad-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f cli

%build
%cargo_build -f cli

%install
%cargo_install -f cli

%if %{with check}
%check
%cargo_test -f cli
%endif

%changelog
%autochangelog
